/*! HTML5 Boilerplate v9.0.1 | MIT License | https://html5boilerplate.com/ */

/* main.css 3.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
   
  *{
    font-family: "Playfair Display", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    }


  .montserrat-font {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }

    body, html{
      width: 100vw;
      overflow-x: hidden;
    }

    body{
      background: #F7EEE9;
      animation: body .5s ease-out forwards;
    }

    @keyframes body {
      0% {
        opacity: 0;
      }
      100% {
        opacity: 1 !important;
      }
    }

  .text, .text p, .text a {
    font-optical-sizing: auto;
    font-size: 19px;
    line-height: 26px;
  }

  .text p{
    margin-bottom: 23px;
  }

   .grid-x{
    width: 90vw;
    max-width: 1280px;
    margin: 0 auto;
   }

   a, a:visited, a:focus{
    color: #000;
    transition: all .3s ease-out;
   }

   a:hover{
    color: #000;
   }

   ul, li, p{
    margin: 0;
   }

   h2, h2 p{
    font-size: 70px;
    line-height: 90px;
  }

   h3, h3 p{
    font-size: 50px;
    line-height: 63px;
   }

   h3{
    margin-bottom: 40px;
   }

   h4, h4 p{
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    line-height: 22px;
   }

   img{
    width: 100%;
   }

   .honeypot {
    position: absolute;
    left: -9999px;
  }

   /*
 * header
 */

  header .Eyecatcher{
    height: 100vh;
    display: flex;
    justify-content:space-between;
    flex-direction: column;
  }

  header #topheader{
    align-items: center;
    margin-top: 35px;
    flex-wrap: wrap;
  }

  header #topheader .logotxt{
    display: flex;
    justify-content: end;
    flex: 1;
    min-width: 0;
  }

  header #TitreIntro svg{
    max-height: 75px;
    width: auto;
  }

  header #TitreIntro h2{
    text-align: center;
  }

  header #topheader img {
    max-width: 100%;
    height: auto;
}

  header .claim{
    text-align: center;
  }

  header #navigation{
    margin-bottom: 70px;
  }

  header #navigation ul{
    display: flex;
    justify-content: space-between;
  }

  header #navigation ul li{
    list-style-type: none;
    display: inline-block;
  }

   /*
 * Homepage
 */

  #homepage header{
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
  }

  #homepage #TitreIntro h2{
    text-align: left;
  }

  #homepage #teaserspages .teaser{
    padding: 80px 0;
  }

  #homepage #teaserspages .teaser .teasertxt{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  #homepage .btn{
    background: #fff;
    width: fit-content;
    padding: 15px 20px;
    border-radius: 100px;
  }
  #homepage .btn a{
    display: flex;
  }
  #homepage .btn p{
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    margin-bottom: 0;
    margin-left: 15px;
    font-size: 18px;
    line-height: 22px;
  }

  #homepage #teaserspages .teaser .teasertxt{
    padding-right: 150px;
  }

  #homepage #teaserspages .teaser .teaserimg{
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  #homepage #teaserspages .teaser .teaserimg img{
    margin-top: -22px;
  }

  #homepage #teaserspages .teaser .teaserimg .icones{
    z-index:1;
  }

  #homepage #teaserspages .teaser .teaserimg .icones svg{
    max-height: 60px;
    width: auto;
  }

  #homepage #teaserapropos{
    padding: 125px 0;
  }

  #homepage #teaserapropos svg{
    width: 90%;
    max-width: 500px;
    height: auto;
  }

  #homepage #teaserapropos .aproptxt{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
  }

  #homepage #teaserapropos .btn p, #homepage #sectioncontact .btn p{
    margin-left: 0;
  }

  #homepage #sectioncontact{
    background-repeat: no-repeat;
    background-size: contain;
  }

  #homepage #sectioncontact .btncontainer{
    height: 342px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items:end;
  }

  #homepage #sectioncontact .btn{
    background: #F7EEE9;
  }

   /* ----- FOOTER -----  */

   footer{
    padding: 120px 0 60px 0;
    background: #C7AB98;
   }

   footer .logo{
    margin-bottom: 110px;
   }

   footer p{
    margin-bottom: 0 !important;
    color: #fff;
   }

   footer .impress .text{
    display: flex;
   }

   footer .impress .text p:first-child{
    margin-right: 6px;
   }

   footer .tel{
    padding-left: 50px;
   }

  /* ----- Pages prestations -----  */

   #prestations .Eyecatcher{
    height:88vh;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
   }

   #prestations section{
    padding: 100px 0;
   }

   #prestations .Eyecatcher .icons{
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
    margin-top: -50px;
   }

   .presta1 header{
    background-color: #BAE3E5;
   }

   #prestations #TitreIntro,
  #prestations #navigation {
    max-width: 100%;
    flex-shrink: 0;
  }

   #prestations .sectiontxttitre{
      display: flex;
      align-items: center;
   }
   #prestations .sectiontxttitre h3{
      margin-bottom: 0;
   }

   #prestations .sectiontxt .iconentreprise svg{
    width: 85%;
    max-width: 500px;
    height: auto;
    margin-top: 10px;
   }

   #prestations .sectiontxt .description{
    display: flex;
    align-items: center;
    margin-top: 75px;
   }

   .sectionpoints{
    padding-top: 0;
   }

   .sectionpoints svg{
    max-height: 45px;
    width: auto;
   }

   .point{
    border-radius: 100px;
    display: flex;
    align-items: center;
    padding: 30px;
    margin-bottom: 20px;
   }

   #prestations .sectionpoints1 .point{
    background-color: #BAE3E5;
   }

   .point .icon{
    margin-right: 30px;
    min-width: 55px;
    display: flex;
    justify-content: center;
   }
   .point p{
    margin-bottom: 0;
   }

   #prestations .sectiontxt2{
    background-color: #BAE3E5;
   }

   #prestations .sectiontxt2 .iconentreprise svg path{
    fill: #F7EEE9;
   }

   #prestations .sectionpoints2 .point{
    background-color: #F7EEE9;
   }

   #prestations .sectionpoints2{
    background-color: #BAE3E5;
   }

   .assurances h3{
    text-align: center;
    margin-bottom: 75px;
   }

   .assurances .dot{
    padding: 0 40px;
    aspect-ratio: 1 / 1;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #BAE3E5;
    border-radius: 500px;
    margin-bottom: 75px;
   }

   .assurances .grid-padding-x > .cell {
    padding-left: 2.5%;
    padding-right: 2.5%;
}

   .assurances .dot .text{
    text-align: center;
   }

   .assurances .dot .text p{
    margin-bottom: 0;
   }

   .assurances .dot .icon{
    position: absolute;
    top: -18px;
    left: 50%;
    transform: translateX(-50%);
  }

  .assurances .dot .icon svg{
    max-height: 40px;
    width: auto;
  }

  .exemples{
    border-top: #BAE3E5 solid 1px;
    padding: 0 !important;
  }

.exemplegauche,
.exempledroit {
    position: relative;
    padding: 125px 14%;
}

.exemplecontainer > .cell {
    position: relative;
}

.exemplecontainer:nth-child(odd) > .cell:last-child::before {
    content: "";
    position: absolute;
    inset: 0;
    left: 0;
    width: 50vw;
    background: #BAE3E5;
}

.exemplecontainer:nth-child(even) > .cell:first-child::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    width: 50vw;
    background: #BAE3E5;
}

.exemples .icon{
  margin-bottom: 15px;
}
.exemples .icon svg{
  max-height: 100px;
  width: auto;
}

 /* ----- Pages prestations particuliers -----  */

  .presta2 header{
    background-color: #CED7F7;
   }

   .presta2 .pilier{
    padding: 0 !important;
   }

   .presta2 .pilier .bancaire {
    position: relative;
    background: #CED7F7;
    padding-left: 8.3vw ;
    border-top: 1px solid #fff;
  }

  .presta2 .pilier .assurance {
    padding-right: 8.3vw ;
  }

  .presta2 .pilier .cell {
    padding-top: 100px;
    padding-bottom: 100px;
    position: relative;
  }

  .presta2 h3 p{
    text-align: left;
  }

  .presta2 .pilier .bancaire::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 100%;
    width: 50vw;
    background: #CED7F7;
    }

    .presta2 .rondassurance{
      position: absolute;
      right: 0;
      top: 50%;
      transform: translateY(-50%);
      width: 5vw;
      aspect-ratio: 1 / 2;
      background-color: #CED7F7;
      border-radius: 300px 0 0 300px;
    }

    .presta2 .rondbancaire{
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
      width: 5vw;
      aspect-ratio: 1 / 2;
      background-color: #F7EEE9;
      border-radius: 0 300px 300px 0;
    }

    .presta2 .sectiontxt{
      border-top: 1px solid #CED7F7;
    }

   .presta2 .sectionpoints3{
    background-color: #CED7F7;
    padding-top: 100px !important;
   }

   .presta2 .sectionpoints3 .point{
    background-color: #F7EEE9;
   }

   .presta2 h3{
    text-align: center;
    margin-bottom: 75px;
   }

   .presta2 .grid-margin-x > .cell {
    padding-left: 2.5%;
    padding-right: 2.5%;
  }

   /* ----- Pages prestations Prevoyance retraite -----  */

  .presta3 header{
    background-color: #FFD3C1;
   }

   .presta3 .Eyecatcher .icons {
    display: flex;
    justify-content: left !important;
    margin-bottom: 20px;
    margin-top: 0 !important;
  }

  .presta3 #TitreIntro{
    padding-right: 20px;
  }

  .presta3 #TitreIntro h2{
    text-align: left;
  }

  .presta3 .vision{
    padding: 0 !important;
  }

  .presta3 .vision .avenir{
    padding-top: 100px;
    padding-bottom: 100px;
    padding-right: 7vw ;
  }
  .presta3 .vision .piliers{
    position: relative;
    padding-top: 100px;
    padding-bottom: 100px;
    padding-left: 7vw ;
  }

  .presta3 .vision .piliers .point{
    background-color: #F7EEE9;
  }

  .presta3 .vision .avenir img{
    margin-top: 30px;
  }

  .presta3 .vision .piliers .dernier{
    margin-top: 50px;
  }

  .presta3 .vision .piliers::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 50vw;
    background: #FFD3C1;
    z-index: -1;
    }

    .presta3 .sectionetapes{
      border-top: 1px solid #FFD3C1;
      padding: 0 !important;
    }

    .presta3 .sectionetapes .titre{
      padding: 40px 0 20px 0;
    }

    .presta3 .sectionetapes .etape:nth-child(even){
      background-color: #FFD3C1;
    }

    .presta3 .sectionetapes .etape{
      padding: 50px 0;
    }

    .presta3 .sectionetapes .etape .numero{
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .presta3 .sectionetapes .etape .titre{
      padding-left: 30px;
    }

    .presta3 .sectionetapes .etape .texte{
      display: flex;
      align-items: center;
      padding-left: 15px;
    }
    .presta3 .sectionetapes .etape .texte p{
      margin-bottom: 0;
    }

    .presta3 .sectionetapes .etape:nth-child(even) .numero h2{
      background-color: #F7EEE9;
    }
    .presta3 .sectionetapes .etape:nth-child(odd) .numero h2{
      background-color: #FFD3C1;
    }

    .presta3 .sectionetapes .etape .numero h2{
      width: 70px;
      height: 70px;
      border-radius: 200px;
      text-align: center;
      margin-bottom: 0;
    }

    .presta3 .sectionetapes .etape .numero h2 p{
      transform: translateY(-24px);
    }

    .presta3 .sectiontxt{
      background-color: #FFD3C1;
    }

    .presta3 .sectiontxt h3{
      padding-left: 30px;
    }

    .presta3 .lastsection{
      padding: 0 !important;
      border-top: 1px solid #F7EEE9;
      border-bottom: 1px solid #FFD3C1;
    }

    .presta3 .lastsection .pourquoi{
          padding-right: 7vw !important;
          padding: 100px 0;
    }

    .presta3 .lastsection .pourquoi .point{
      background-color: #FFD3C1;
    }

    .presta3 .lastsection .engagement{
      padding-left: 7vw !important;
      position: relative;
      padding: 100px 0;
    }

    .presta3 .lastsection .engagement .soustitre p{
      margin-bottom: 40px;
    }

    .presta3 .lastsection .engagement .point{
      background-color: #F7EEE9;
    }

    .presta3 .lastsection .engagement::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 50vw;
    background: #FFD3C1;
    z-index: -1;
    }

    .presta3 #action p{
      margin-bottom: 0;
    }

    /* ----- Pages À propos -----  */

   #apropos header{
    background-color: #C7AB98;
    background-repeat: no-repeat;
    background-position: center;
   }

   #apropos header h2 {
    margin-top: -55px;
  }

   #apropos header #navigation {
    margin-bottom: 50px;
  }

   #apropos .Eyecatcher{
    height:60vh;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
   }

   #apropos section{
    padding: 100px 0;
   }

   #apropos #introapropos .grid-x{
    align-items: center;
   }

   #apropos #introapropos .icon2{
    display: flex;
    justify-content: end;
   }

   #apropos .sectionpoints{
    background-color: #C7AB98;
   }

   #apropos .sectionpoints h3{
    text-align: center;
   }

   #apropos .sectionpoints .titre{
    display: flex;
    flex-direction: column;
    align-items: center;
   }

   #apropos .sectionpoints .point{
    background-color: #F7EEE9;
   }

   #apropos .sectionpoints .textepoint{
    margin-top: 40px;
   }

   #apropos .personnebloc{
    background-color: #C7AB98;
    border-radius: 20px;
    height: 846px;
    margin-bottom: 60px;
   }

   #apropos .personnebloc img{
    border-radius: 20px 20px 0 0;
   }

   #apropos .personnetexte{
    padding: 40px;
   }

   .equipe .grid-x {
    justify-content: center;
     }

.equipe .cell {
    padding-left: 35px;
    padding-right: 35px;
}

/* ----- Pages Contact -----  */

#contact .Eyecatcher{
    height:60vh;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
   }

   #contact header #navigation {
    margin-bottom: 50px;
  }

  #contact header .icons{
    display: flex;
    justify-content: center;
  }

  #contact #formulaire{
    background-color: #C7AB98;
    padding: 100px 0;
  }

  #contact .titreformulaire{
    display: flex;
    justify-content: space-between;
  }

  #contact .titreformulaire svg{
    margin-top: 10px;
    margin-right: 10px;
  }

  #contact #formulaire label{
    font-family: "Montserrat", sans-serif;
    margin-bottom: 10px;
    font-size: 18px;
  }

  #contact #formulaire input, #contact #formulaire textarea{
    border-radius: 20px;
    background-color: #F7EEE9;
    box-shadow: none;
    border: none;
    font-family: "Montserrat", sans-serif;
    font-size: 18px;
    margin-bottom: 20px;
  }

  #contact #formulaire .submit{
    display: flex;
    align-items: end;
  }
  #contact #formulaire .submit input{
    width: 100%;
    height: fit-content;
    padding: 5px;
    display: block;
    background-color: #CED7F7;
  }

  #contact #adresses{
    padding: 100px 0;
  }

   #contact #adresses .bienvenue{
    color: #C7AB98;
  }

  #contact .add, #contact .map, #contact .bienvenue{
    margin-bottom: 75px;
  }


/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.visually-hidden {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .visually-hidden class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.visually-hidden.focusable:active,
.visually-hidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * The use of `table` rather than `block` is only necessary if using
 * `::before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: "";
  display: table;
}

.clearfix::after {
  clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

